
Redmine - Feature #2507

Email creation issues: assign-to parameter

2009-01-14 11:53 - José Campos

Status: Closed Start date: 2009-01-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I miss the ability to assign issues created via email to specific team members. It would be very nice to write something like

[...]

Project: foo

Assigned-To: John Doe

 in the email body and have the new issue assigned to John Doe automatically.

Related issues:

Related to Redmine - Patch #2702: mail_handler_update: added ability to updat... Closed 2009-02-09

Related to Redmine - Feature #5594: Improve MailHandler's keyword handling Closed 2010-05-25

History

#1 - 2009-01-16 06:05 - Ewan Makepeace

I am pretty sure you can already but cant find the documentation. Example see this issue #2316

#2 - 2009-01-19 02:44 - José Campos

No, I can't. Sorry.

I even checked out the code itself

/app/models/mail_handler.rb

 and, though I don't know ruby, I can pretty much assure you that there is no support for Assign To (nor for Target Version, btw) parameter setup via

email.

#3 - 2009-02-09 08:07 - Go MAEDA

I submitted a patch to update assigned-to and some other fields. Please see #2702.

After applied my patch, you can update assigned-to field with mail address or login id.

#4 - 2011-03-24 10:36 - Toshi MARUYAMA

- Category set to Email notifications

#5 - 2011-11-28 00:26 - Mischa The Evil

- Category changed from Email notifications to Email receiving

#6 - 2016-12-26 04:43 - Go MAEDA

- Related to Feature #5594: Improve MailHandler's keyword handling added

#7 - 2016-12-26 04:43 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r3764 (Redmine 1.1.0).
